| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::video::S3DVertex Struct Reference

standard vertex used by the Irrlicht engine. More...

`#include <S3DVertex.h>`

Inheritance diagram for irr::video::S3DVertex:

List of all members.

## Public Member Functions

- S3DVertex ()
    default constructor
- S3DVertex (f32 x, f32 y, f32 z, f32 nx, f32 ny, f32 nz, SColor c, f32 tu, f32 tv)
    constructor
- S3DVertex (const core::vector3df &pos, const core::vector3df &normal, SColor color, const core::vector2d< f32 > &tcoords)
    constructor
- S3DVertex getInterpolated (const S3DVertex &other, f32 d)
- E_VERTEX_TYPE getType () const
- bool operator!= (const S3DVertex &other) const
- bool operator< (const S3DVertex &other) const
- bool operator== (const S3DVertex &other) const

## Public Attributes

- SColor Color
    Color.
- core::vector3df Normal
    Normal vector.
- core::vector3df Pos
    Position.
- core::vector2d< f32 > TCoords
    Texture coordinates.

## Detailed Description

standard vertex used by the Irrlicht engine.

Definition at line 42 of file S3DVertex.h.

## Constructor & Destructor Documentation

irr::video::S3DVertex::S3DVertex | ( |  | ) | `[inline]`

default constructor

Definition at line 45 of file S3DVertex.h.

Referenced by getInterpolated().

irr::video::S3DVertex::S3DVertex | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx,
|  | f32 | ny,
|  | f32 | nz,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv
| ) |  | `[inline]`

constructor

Definition at line 48 of file S3DVertex.h.

irr::video::S3DVertex::S3DVertex | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | SColor | color,
|  | const core::vector2d< f32 > & | tcoords
| ) |  | `[inline]`

constructor

Definition at line 52 of file S3DVertex.h.

## Member Function Documentation

S3DVertex irr::video::S3DVertex::getInterpolated | ( | const S3DVertex & | other,
|  | f32 | d
| ) |  | `[inline]`

Definition at line 94 of file S3DVertex.h.

References irr::core::clamp(), Color, irr::core::vector3d< T >::getInterpolated(), irr::core::vector2d< T >::getInterpolated(), irr::video::SColor::getInterpolated(), Normal, Pos, S3DVertex(), and TCoords.

E_VERTEX_TYPE irr::video::S3DVertex::getType | ( |  | ) | const`[inline]`

Reimplemented in irr::video::S3DVertexTangents, and irr::video::S3DVertex2TCoords.

Definition at line 88 of file S3DVertex.h.

References irr::video::EVT_STANDARD.

bool irr::video::S3DVertex::operator!= | ( | const S3DVertex & | other | ) | const`[inline]`

Definition at line 74 of file S3DVertex.h.

References Color, Normal, Pos, and TCoords.

bool irr::video::S3DVertex::operator< | ( | const S3DVertex & | other | ) | const`[inline]`

Definition at line 80 of file S3DVertex.h.

References Color, Normal, Pos, and TCoords.

bool irr::video::S3DVertex::operator== | ( | const S3DVertex & | other | ) | const`[inline]`

Definition at line 68 of file S3DVertex.h.

References Color, Normal, Pos, and TCoords.

## Member Data Documentation

SColor irr::video::S3DVertex::Color

Color.

Definition at line 63 of file S3DVertex.h.

Referenced by irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), getInterpolated(), irr::video::S3DVertex2TCoords::getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), irr::scene::SVertexColorSetManipulator::operator()(), irr::scene::SVertexColorSetAlphaManipulator::operator()(), irr::scene::SVertexColorInvertManipulator::operator()(), irr::scene::SVertexColorThresholdManipulator::operator()(), irr::scene::SVertexColorBrightnessManipulator::operator()(), irr::scene::SVertexColorContrastManipulator::operator()(), irr::scene::SVertexColorContrastBrightnessManipulator::operator()(), irr::scene::SVertexColorGammaManipulator::operator()(), irr::scene::SVertexColorScaleManipulator::operator()(), irr::scene::SVertexColorDesaturateToLightnessManipulator::operator()(), irr::scene::SVertexColorDesaturateToAverageManipulator::operator()(), irr::scene::SVertexColorDesaturateToLuminanceManipulator::operator()(), irr::scene::SVertexColorInterpolateLinearManipulator::operator()(), irr::scene::SVertexColorInterpolateQuadraticManipulator::operator()(), operator<(), and operator==().

core::vector3df irr::video::S3DVertex::Normal

Normal vector.

Definition at line 60 of file S3DVertex.h.

Referenced by irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), getInterpolated(), irr::video::S3DVertex2TCoords::getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), operator<(), and operator==().

core::vector3df irr::video::S3DVertex::Pos

Position.

Definition at line 57 of file S3DVertex.h.

Referenced by irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), getInterpolated(), irr::video::S3DVertex2TCoords::getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), operator<(), and operator==().

core::vector2d<f32> irr::video::S3DVertex::TCoords

Texture coordinates.

Definition at line 66 of file S3DVertex.h.

Referenced by irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), getInterpolated(), irr::video::S3DVertex2TCoords::getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), irr::scene::SVertexTCoordsScaleManipulator::operator()(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- S3DVertex.h